TechDraw Balloon: Difference between revisions

From FreeCAD Documentation
No edit summary
m ((Vertical Docnav))
(4 intermediate revisions by 3 users not shown)
Line 3: Line 3:
<translate>
<translate>
<!--T:23-->
<!--T:23-->
{{Docnav
{{Docnav|[[TechDraw_Dimension_Link|Dimension Link ]]|[[TechDraw_SaveSVG|Save SVG]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Link.png|IconC=Workbench_TechDraw.svg|IconR=techdraw-saveSVG.svg}}
|[[TechDraw_Dimension_Link|Dimension Link ]]
|[[TechDraw Dimension Horizontal Extent|New Horizontal Extent]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Link.png
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Dimension_HExtent.svg
}}


<!--T:1-->
<!--T:1-->
Line 10: Line 17:
|MenuLocation=TechDraw → Balloon
|MenuLocation=TechDraw → Balloon
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|Version=0.19 (dev)
|Version=0.19
|SeeAlso=[[TechDraw NewAnnotation|TechDraw New annotation]]
|SeeAlso=[[TechDraw NewAnnotation|TechDraw New annotation]]
}}
}}
Line 33: Line 40:
[[File:task_balloon.png|center]]
[[File:task_balloon.png|center]]


== Balloon with a rectangle shape == <!--T:7-->
== Using separators == <!--T:7-->


<!--T:26-->
When using a rectangle shape, separators can be added using "|" in the text.
When using a rectangle shape, separators can be added using "|" in the text.
For example "AAA|TEST|111" gives:
For example "AAA|TEST|111" gives:


<!--T:27-->
[[File:balloon_separator.png]]
[[File:balloon_separator.png]]


Line 64: Line 73:
}}
}}
<translate>
<translate>


==Notes== <!--T:10-->

<!--T:20-->
*



<!--T:24-->
<!--T:24-->
{{Docnav
{{Docnav|[[TechDraw_Dimension_Link|Dimension Link ]]|[[TechDraw_SaveSVG|Save SVG]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Link.png|IconC=Workbench_TechDraw.svg|IconR=techdraw-saveSVG.svg}}
|[[TechDraw_Dimension_Link|Dimension Link ]]
|[[TechDraw Dimension Horizontal Extent|New Horizontal Extent]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Link.png
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Dimension_HExtent.svg
}}


<!--T:21-->
<!--T:21-->

Revision as of 21:06, 15 October 2019

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

TechDraw Balloon

Menu location
TechDraw → Balloon
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw New annotation

Description

The Balloon tool can add balloons with leader line in a drawing.

How to use

  1. Select the View to which the Balloon will be attached.
  2. Press the Balloon button.
  3. The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
  4. The balloon bubble may be dragged to the desired position. Use CTRL-drag to move the bubble and the arrow.
  5. You can change balloon properties by double clicking balloon label or balloon object in the tree. This will open the Balloon Task dialog:
File:Task balloon.png

Using separators

When using a rectangle shape, separators can be added using "|" in the text. For example "AAA|TEST|111" gives:

Properties

Data

  • DataX: Horizontal position of the balloon bubble relative to the View.
  • DataY: Vertical position of the balloon bubble relative to the View.

View

  • ViewFont: The name of the font to use for the balloon bubble.
  • ViewFontsize: Dimension text size in mm.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)